Scilab Function

xpoly - draw a polyline or a polygon

### Calling Sequence

  `xpoly(xv,yv [,dtype [,close]])`

### Parameters

- `xv,yv` : matrices of the same size (points of the polyline).
- `dtype` : string (drawing style). default value is "lines".
- `close` : integer. If close=1, the polyline is closed; default value is 0.

### Description

`xpoly` draws a single polyline described by the vectors of coordinates `xv` and `yv`. If `xv` and `yv` are matrices they are considered as vectors by concatenating their columns. `dtype` can be `"lines"` for using the current line style or `"marks"` for using the current mark to draw the polyline.

### Examples

    x=sin(2*%pi*(0:5)/5);
    y=cos(2*%pi*(0:5)/5);
    plot2d(0,0,-1,"010"," ",[-2,-2,2,2])
    xset("color",5)
    xpoly(x,y,"lines",1)
    xset("default")

### See Also

`xfpoly` `xfpolys` `xpolys`

### Author

J.Ph.C.